| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
impeller::interop::ImageFilter Class Referencefinal

`#include <image_filter.h>`

Inheritance diagram for impeller::interop::ImageFilter:

## Public Member Functions
| ImageFilter (std::shared_ptr< flutter::DlImageFilter > filter)
| ~ImageFilter () override
| ImageFilter (const ImageFilter &)=delete
ImageFilter & | operator= (const ImageFilter &)=delete
const std::shared_ptr< flutter::DlImageFilter > & | GetImageFilter () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Static Public Member Functions
static ScopedObject< ImageFilter > | MakeBlur (Scalar x_sigma, Scalar y_sigma, flutter::DlTileMode tile_mode)
static ScopedObject< ImageFilter > | MakeDilate (Scalar x_radius, Scalar y_radius)
static ScopedObject< ImageFilter > | MakeErode (Scalar x_radius, Scalar y_radius)
static ScopedObject< ImageFilter > | MakeMatrix (const Matrix &matrix, flutter::DlImageSampling sampling)
static ScopedObject< ImageFilter > | MakeCompose (const ImageFilter &outer, const ImageFilter &inner)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< ImageFilter, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerImageFilter)>
using | InteropClass = ImageFilter
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerImageFilter)

## Detailed Description

Definition at line 15 of file image_filter.h.

## Constructor & Destructor Documentation

## ◆ ImageFilter() [1/2]

impeller::interop::ImageFilter::ImageFilter | ( | std::shared_ptr< flutter::DlImageFilter > | filter | ) |
| explicit

Definition at line 11 of file image_filter.cc.

12 : filter_(std::move(filter)) {}

## ◆ ~ImageFilter()

impeller::interop::ImageFilter::~ImageFilter | ( |  | ) |
| override default

## ◆ ImageFilter() [2/2]

impeller::interop::ImageFilter::ImageFilter | ( | const ImageFilter & |  | ) |
| delete

## Member Function Documentation

## ◆ GetImageFilter()

const std::shared_ptr< flutter::DlImageFilter > & impeller::interop::ImageFilter::GetImageFilter | ( |  | ) | const

Definition at line 64 of file image_filter.cc.

65 {
66 return filter_;
67 }

Referenced by MakeCompose(), impeller::interop::DisplayListBuilder::SaveLayer(), and impeller::interop::Paint::SetImageFilter().

## ◆ MakeBlur()

ScopedObject< ImageFilter > impeller::interop::ImageFilter::MakeBlur | ( | Scalar | x_sigma,
|  | Scalar | y_sigma,
|  | flutter::DlTileMode | tile_mode
| ) |  |
| static

Definition at line 16 of file image_filter.cc.

18 {
19 auto filter = flutter::DlBlurImageFilter::Make(x_sigma, y_sigma, tile_mode);
20 if (!filter) {
21 return nullptr;
22 }
23 return Create<ImageFilter>(std::move(filter));
24 }

Referenced by impeller::interop::ImpellerImageFilterCreateBlurNew().

## ◆ MakeCompose()

ScopedObject< ImageFilter > impeller::interop::ImageFilter::MakeCompose | ( | const ImageFilter & | outer,
|  | const ImageFilter & | inner
| ) |  |
| static

Definition at line 54 of file image_filter.cc.

55 {
56 auto filter = flutter::DlComposeImageFilter::Make(outer.GetImageFilter(),
57 inner.GetImageFilter());
58 if (!filter) {
59 return nullptr;
60 }
61 return Create<ImageFilter>(std::move(filter));
62 }

References GetImageFilter().

Referenced by impeller::interop::ImpellerImageFilterCreateComposeNew().

## ◆ MakeDilate()

ScopedObject< ImageFilter > impeller::interop::ImageFilter::MakeDilate | ( | Scalar | x_radius,
|  | Scalar | y_radius
| ) |  |
| static

Definition at line 26 of file image_filter.cc.

27 {
28 auto filter = flutter::DlDilateImageFilter::Make(x_radius, y_radius);
29 if (!filter) {
30 return nullptr;
31 }
32 return Create<ImageFilter>(std::move(filter));
33 }

Referenced by impeller::interop::ImpellerImageFilterCreateDilateNew().

## ◆ MakeErode()

ScopedObject< ImageFilter > impeller::interop::ImageFilter::MakeErode | ( | Scalar | x_radius,
|  | Scalar | y_radius
| ) |  |
| static

Definition at line 35 of file image_filter.cc.

36 {
37 auto filter = flutter::DlErodeImageFilter::Make(x_radius, y_radius);
38 if (!filter) {
39 return nullptr;
40 }
41 return Create<ImageFilter>(std::move(filter));
42 }

Referenced by impeller::interop::ImpellerImageFilterCreateErodeNew().

## ◆ MakeMatrix()

ScopedObject< ImageFilter > impeller::interop::ImageFilter::MakeMatrix | ( | const Matrix & | matrix,
|  | flutter::DlImageSampling | sampling
| ) |  |
| static

Definition at line 44 of file image_filter.cc.

46 {
47 auto filter = flutter::DlMatrixImageFilter::Make(matrix, sampling);
48 if (!filter) {
49 return nullptr;
50 }
51 return Create<ImageFilter>(std::move(filter));
52 }

Referenced by impeller::interop::ImpellerImageFilterCreateMatrixNew().

## ◆ operator=()

ImageFilter& impeller::interop::ImageFilter::operator= | ( | const ImageFilter & |  | ) |
| delete

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/image_filter.h
- impeller/toolkit/interop/image_filter.cc